#include<bits/stdc++.h>
using namespace std;
long long ucln(long long a,long long b)
{
	if(a==b)	return a;
	else if(a<b)	return ucln(b,a);
	else return ucln(a-b,b);
}
int main()
{
	ifstream f1("DQUC.inp");
	ofstream f2("DQUC.out");
	long long n,i;
	f1>>n;
	long long a[2000];
	for(i=1;i<=n;i++)	f1>>a[i];
	for(i=1;i<n;i++)	{
		a[i+1]=ucln(a[i],a[i+1]);
	}
	f2<<a[n-1];
	f1.close();
	f2.close();
}
